// $Id: daterange.js,v 1.2 2006/11/24 07:54:54 douggreen Exp $

function dateopOnChange(elm) {
  var index = elm.id.substring(7);
  var date1 = elm.form.elements.namedItem('filter' + index + '[date1]');
  var date2 = elm.form.elements.namedItem('filter' + index + '[date2]');
  if (date1 == null || date2 == null) {
    return;
  }
  var jsdate1 = date1.nextSibling;
  if (jsdate1 != null && jsdate1.id != 'edit-date1-button') {
    jsdate1 = null;
  }
  var jsdate2 = date2.nextSibling;
  if (jsdate2 != null && jsdate2.id != 'edit-date2-button') {
    jsdate2 = null;
  }
  var op = elm.options[elm.selectedIndex].value.substring(0, 10);
  if (op == 'daterange:') {
    date1.value = elm.options[elm.selectedIndex].value.substring(10);
    date2.value = 'today';
    setVisibility(date1, jsdate1, false);
    setVisibility(date2, jsdate2, false);
  } else if (op == 'before' || op == 'after') {
    setVisibility(date1, jsdate1, true);
    setVisibility(date2, jsdate2, false);
  } else {
    setVisibility(date1, jsdate1, true);
    setVisibility(date2, jsdate2, true);
  }
}

function setVisibility(elm1, elm2, value) {
  _setVisibility(elm1, value);
  if (elm2 != null) {
    _setVisibility(elm2, value);
  }
}

function _setVisibility(elm, value) {
  elm.style.display = (value == true) ? '' : 'none';
}
